<?php

use app\common\middleware\ApiAuth;
use think\facade\Route;

Route::group('external', function () {
    Route::post('register-notify', 'External/registerNotify');
    Route::post('deposit-notify', 'External/depositNotify');
    Route::post('withdrawal-notify', 'External/withdrawalNotify');
    Route::post('agent-notify', 'External/agentNotify');
});

Route::group('external', function () {
    // 这里面的所有路由都会经过 ApiAuth 中间件
    Route::post('user-withdraw', 'Withdraw/apply');
//    Route::post('claimPrizeNotify', 'External/claimPrizeNotify');

})->middleware(ApiAuth::class);